Create Blueprint Job
Create a TaskBlueprintJob owned by the caller's organization. Superusers may set is_global to create a global row visible to every organization; anyone else gets 403.
HTTPBearerAuthorizationBearer <token>application/json- body
Create a task. is_global (superusers only, 403 otherwise) makes it visible to every organization.
name*Namedescription?string|nulljob_type*Job Typeinput_data?string|nullis_global?Is GlobalfalseSuccessful Response
application/json- response
name*Namedescription?string|nulljob_type*Job Typeinput_data?string|nullid*Idowner_id?integer|nullcreated_at?|nullupdated_at?|nullworkflow_usage_count?Workflow Usage Count0execution_count?Execution Count0curl -X POST 'https://app.copyhero.app/api/v1/blueprints/jobs/' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "job_type": "string"}'{ "name": "string", "description": "string", "job_type": "string", "input_data": "string", "id": 0, "owner_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "workflow_usage_count": 0, "execution_count": 0}Get Workflows GET
Get per-workflow (blueprint) execution statistics. Returns workflow-level metrics including: - blueprint_id: The workflow blueprint ID - blueprint_name: The workflow blueprint name - task_count: Number of tasks for this workflow - jobs_count: Number of jobs for this workflow (filtered by state if provided) Access Control: - Regular users: See only their owned or employed stores - Superusers in a browser session: see all stores (API keys and MCP never act as superuser)
Create Blueprint POST
Create a TaskBlueprint (workflow) owned by the caller's organization. Superusers may set ``is_global`` to create a global workflow visible to every organization; it may only use global tasks (422 otherwise). Anyone else gets 403.